Create Report
curl --request POST \
--url https://api.example.com/v1/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"domain": "<string>",
"pattern_id": "<string>",
"severity": "<string>",
"source": "<string>",
"team": "<string>",
"template_id": "<string>"
},
"format": "pdf",
"title": "<string>",
"window": {
"from": "<string>",
"to": "<string>"
}
}
'import requests
url = "https://api.example.com/v1/reports"
payload = {
"filters": {
"domain": "<string>",
"pattern_id": "<string>",
"severity": "<string>",
"source": "<string>",
"team": "<string>",
"template_id": "<string>"
},
"format": "pdf",
"title": "<string>",
"window": {
"from": "<string>",
"to": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {
domain: '<string>',
pattern_id: '<string>',
severity: '<string>',
source: '<string>',
team: '<string>',
template_id: '<string>'
},
format: 'pdf',
title: '<string>',
window: {from: '<string>', to: '<string>'}
})
};
fetch('https://api.example.com/v1/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}reports
Create Report
B6c — create report (alias of POST /reports/generate).
POST
/
v1
/
reports
Create Report
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
risk_summary, pattern_analysis, prediction_forecast, recommendations, audit_trail, executive_briefing Show child attributes
Show child attributes
Available options:
csv, xlsx, json, pdf, pptx, parquet Maximum string length:
200Show child attributes
Show child attributes
Response
Successful Response
The response is of type Response Create Report V1 Reports Post · object.
⌘I